Package com.independentsoft.office.odf

# Class TabStopIndexEntry

java.lang.Object
com.independentsoft.office.odf.TabStopIndexEntry

All Implemented Interfaces:
  `IIllustrationIndexEntryTemplateContent`, `ITableOfContentsEntryTemplateContent`

public class TabStopIndexEntry extends Object implements ITableOfContentsEntryTemplateContent, IIllustrationIndexEntryTemplateContent
Represents a tab stop within an index entry.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TabStopIndexEntry()`
  Initializes a new instance of the TabStopIndexEntry class.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `TabStopIndexEntry`
  `clone()`
  Creates a new object that is a deep copy of the current instance.
  `String`
  `getLeaderCharacter()`
  Gets the leader character.
  `String`
  `getPosition()`
  Gets the position of a tab stop.
  `String`
  `getStyle()`
  Gets the character family styles.
  `TabStopIndexEntryType`
  `getType()`
  Gets the type of a tab stop.
  `void`
  `setLeaderCharacter​(String leaderCharacter)`
  Sets the leader character.
  `void`
  `setPosition​(String position)`
  Sets the position of a tab stop.
  `void`
  `setStyle​(String style)`
  Sets the character family styles.
  `void`
  `setType​(TabStopIndexEntryType type)`
  Sets the type of a tab stop.
  `String`
  `toString()`
  Converts the value of the current TabStopIndexEntry object to its equivalent string representation.

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### TabStopIndexEntry

    public TabStopIndexEntry()
    Initializes a new instance of the TabStopIndexEntry class.

- ## Method Details

  - ### clone

    public TabStopIndexEntry clone()
    Creates a new object that is a deep copy of the current instance.
    Specified by:
      `clone` in interface `IIllustrationIndexEntryTemplateContent`
    Specified by:
      `clone` in interface `ITableOfContentsEntryTemplateContent`
    Overrides:
      `clone` in class `Object`
    Returns:
      A new object that is a copy of this instance.

  - ### toString

    public String toString()
    Converts the value of the current TabStopIndexEntry object to its equivalent string representation.
    Overrides:
      `toString` in class `Object`
    Returns:
      the string

  - ### getStyle

    public String getStyle()
    Gets the character family styles.
    Returns:
      the style

  - ### setStyle

    public void setStyle​(String style)
    Sets the character family styles.
    Parameters:
      `style` - the new style

  - ### getType

    public TabStopIndexEntryType getType()
    Gets the type of a tab stop.
    Returns:
      the type

  - ### setType

    public void setType​(TabStopIndexEntryType type)
    Sets the type of a tab stop.
    Parameters:
      `type` - the new type

  - ### getLeaderCharacter

    public String getLeaderCharacter()
    Gets the leader character.
    Returns:
      the leader character

  - ### setLeaderCharacter

    public void setLeaderCharacter​(String leaderCharacter)
    Sets the leader character.
    Parameters:
      `leaderCharacter` - the new leader character

  - ### getPosition

    public String getPosition()
    Gets the position of a tab stop.
    Returns:
      the position

  - ### setPosition

    public void setPosition​(String position)
    Sets the position of a tab stop.
    Parameters:
      `position` - the new position